# Brainstorm Game Workflow Configuration
name: "brainstorm-game"
description: "Facilitate game brainstorming sessions with game-specific context, guidance, and game design techniques."
author: "BMad"

# Critical variables from config
config_source: "{project-root}/_bmad/bmgd/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
communication_language: "{config_source}:communication_language"
document_output_language: "{config_source}:document_output_language"
game_dev_experience: "{config_source}:game_dev_experience"
date: system-generated

# Workflow components - Step-file architecture
installed_path: "{project-root}/_bmad/bmgd/workflows/1-preproduction/brainstorm-game"
instructions: "{installed_path}/workflow.md"
template: false

# Context and techniques for game brainstorming
game_context: "{installed_path}/game-context.md"
game_brain_methods: "{installed_path}/game-brain-methods.csv"

# CORE brainstorming workflow reference (for technique merging)
core_brainstorming: "{project-root}/_bmad/core/workflows/brainstorming/workflow.md"

# Output configuration
default_output_file: "{output_folder}/brainstorming-session-{date}.md"

# Workflow metadata
version: "2.0.0"
paradigm: "step-file-architecture"
features:
  - "Step-file architecture for modular execution"
  - "Game-specific brainstorming techniques"
  - "MDA Framework exploration"
  - "Core loop brainstorming"
  - "Player fantasy mining"
  - "Genre mashup ideation"
  - "State tracking via frontmatter"

standalone: true

web_bundle:
  name: "brainstorm-game"
  description: "Facilitate game brainstorming sessions with game-specific context and techniques"
  author: "BMad"
  instructions: "_bmad/bmgd/workflows/1-preproduction/brainstorm-game/workflow.md"
  template: false
  web_bundle_files:
    # Main workflow file
    - "_bmad/bmgd/workflows/1-preproduction/brainstorm-game/workflow.md"
    # Step files
    - "_bmad/bmgd/workflows/1-preproduction/brainstorm-game/steps/step-01-init.md"
    - "_bmad/bmgd/workflows/1-preproduction/brainstorm-game/steps/step-02-context.md"
    - "_bmad/bmgd/workflows/1-preproduction/brainstorm-game/steps/step-03-ideation.md"
    - "_bmad/bmgd/workflows/1-preproduction/brainstorm-game/steps/step-04-complete.md"
    # Context files
    - "_bmad/bmgd/workflows/1-preproduction/brainstorm-game/game-context.md"
    - "_bmad/bmgd/workflows/1-preproduction/brainstorm-game/game-brain-methods.csv"
dependencies:
  - "_bmad/core/workflows/brainstorming/workflow.md"
